Subject: bug#56712: 29.0.50; x-dnd-tests-do-direct-save fails on Cygwin

From: Ken Brown <[email-masked]>
Date: Sun, 24 Jul 2022 11:40:51 -0400

On 7/24/2022 9:33 AM, Po Lu wrote:
> Now done.  Ken, could you please re-run the test and show the detailed
> error that is signalled?

Thanks.  The error is now clear:

Test x-dnd-tests-do-direct-save condition:
     (file-missing "Opening output file" "No such file or directory" 
"//tmp/x-dnd-testvZQUCZ/x-dnd-test-targetKiqqPT")

According to POSIX, the meaning of exactly 2 slashes at the beginning of a path 
name is system dependent.  On Cygwin it's interpreted as a UNC path.  That 
explains the error, but I don't immediately see where the extra slash comes 
from.  (There are plenty of references to UNC paths and to "file://" and 
"file:///" in dnd.el, so maybe there's some code in there that incorrectly 
assumes that MS-Windows is the only platform on which exactly 2 initial slashes 
has a special meaning.)

Ken